import { newE2EPage } from "@stencil/core/testing";
import { items } from "./items";
import { sleep } from "../../../utils/test/sleep";
describe('c-radio-group', () => {
  it('renders correctly', async () => {
    const page = await newE2EPage({
      html: `<c-radio-group></c-radio-group>`,
    });
    const radioGroup = await page.find('c-radio-group');
    radioGroup.setProperty('items', items);
    await page.waitForChanges();
    expect(page).toMatchSnapshot();
  });
  it('renders disabled', async () => {
    const page = await newE2EPage({
      html: `<c-radio-group></c-radio-group>`,
    });
    const radioGroup = await page.find('c-radio-group');
    radioGroup.setProperty('items', items);
    radioGroup.setProperty('disabled', true);
    await page.waitForChanges();
    const div = await page.find('c-radio-group >>> div');
    expect(div).toHaveClass('c-radio-group--disabled');
  });
  it('renders required message', async () => {
    const page = await newE2EPage({
      html: `<c-radio-group></c-radio-group>`,
    });
    const radioGroup = await page.find('c-radio-group');
    radioGroup.setProperty('items', items);
    radioGroup.setProperty('valid', false);
    radioGroup.setProperty('validation', 'Required field');
    await page.waitForChanges();
    await sleep(200);
    const errorMessage = await page.find('c-radio-group >>> div .c-radio__message >>> span');
    expect(errorMessage.innerText).toContain('Required');
  });
});
//# sourceMappingURL=c-radio-group.e2e.js.map
