/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "./stencil-public-runtime";
import { CAlertType, CAutocompleteItem, CDataTableData, CDataTableFooterOptions, CDataTableHeader, CMenuCustomTrigger, CMenuOption, CPaginationOptions, CRadioGroupItem, CSCColor, CSelectItem, CToastMessage } from "./types";
import { CardBackground } from "./components/c-card/c-card";
import { CLoginCardBlendMode } from "./components/c-login-card/c-login-card";
export { CAlertType, CAutocompleteItem, CDataTableData, CDataTableFooterOptions, CDataTableHeader, CMenuCustomTrigger, CMenuOption, CPaginationOptions, CRadioGroupItem, CSCColor, CSelectItem, CToastMessage } from "./types";
export { CardBackground } from "./components/c-card/c-card";
export { CLoginCardBlendMode } from "./components/c-login-card/c-login-card";
export namespace Components {
    /**
     * @group Content Selectors
     */
    interface CAccordion {
        /**
          * Disallow collapsing all the items
         */
        "mandatory": boolean;
        /**
          * Allow expanding multiple items
         */
        "multiple": boolean;
        /**
          * Show an outline around expanded items
         */
        "outlined": boolean;
        /**
          * Value of the accordion
         */
        "value": number | string | (number | string)[];
    }
    /**
     * @parent c-accordion
     */
    interface CAccordionItem {
        /**
          * Marks the item as collapsable
          * @private
         */
        "collapsable": boolean;
        /**
          * Expansion status of the item
         */
        "expanded": boolean;
        /**
          * Heading of the accordion item
         */
        "heading": string;
        /**
          * Icon
          * @deprecated Please use the icon slot instead
         */
        "icon": 'enabled' | 'disabled' | 'bell' | 'pending';
        /**
          * Show an outline around the expanded item
          * @private
         */
        "outlined": boolean;
        /**
          * Value of the accordion item
         */
        "value": number | string;
    }
    /**
     * @group Indicators
     */
    interface CAlert {
        /**
          * Type of the alert
         */
        "type"?: CAlertType;
    }
    /**
     * @group Form
     */
    interface CAutocomplete {
        /**
          * Auto focus the input
         */
        "autofocus": boolean;
        /**
          * Render custom menu
         */
        "customMenu": boolean;
        /**
          * Dense variant
         */
        "dense": boolean;
        /**
          * Disable the input
         */
        "disabled": boolean;
        /**
          * Hide the hint and error messages
         */
        "hideDetails": boolean;
        /**
          * Hint text for the input
         */
        "hint": string;
        /**
          * Id of the element
         */
        "hostId": string;
        /**
          * Items to be selected
         */
        "items": CAutocompleteItem[];
        /**
          * Items per page before adding scroll
         */
        "itemsPerPage": number;
        /**
          * Element label
         */
        "label": string;
        /**
          * Input field name
         */
        "name": string;
        /**
          * Placeholder text
         */
        "placeholder": string;
        /**
          * Search string
         */
        "query": string;
        /**
          * Show required validation
         */
        "required": boolean;
        /**
          * Return only the item value rather than the whole item object
         */
        "returnValue": false;
        /**
          * Sets the value of the autocomplete externally
         */
        "setValue": (event: any, item: any) => Promise<void>;
        /**
          * Shadow variant
         */
        "shadow": boolean;
        /**
          * Set the validíty of the input
         */
        "valid": boolean;
        /**
          * Manual validation
         */
        "validate": boolean;
        /**
          * Validate the input on blur
         */
        "validateOnBlur": boolean;
        /**
          * Custom validation message
         */
        "validation": string;
        /**
          * Selected item
         */
        "value": string | number | CAutocompleteItem;
    }
    /**
     * @group Buttons
     */
    interface CButton {
        /**
          * Disable the button
         */
        "disabled": boolean;
        /**
          * Fit width to containing element
         */
        "fit": boolean;
        /**
          * Light button background
         */
        "ghost": boolean;
        /**
          * True when used as a tab button
          * @private
         */
        "grouped": boolean;
        /**
          * Id of the button
         */
        "hostId": string;
        /**
          * Hyperlink url
         */
        "href": string;
        /**
          * Name of the icon to be displayed in the button
          * @deprecated Please use the icon slot instead
         */
        "icon": 'plus' | 'minus' | 'account' | 'edit';
        /**
          * Icon after text
         */
        "iconEnd": boolean;
        /**
          * Inverted button style for dark backgrounds
         */
        "inverted": boolean;
        /**
          * Display loader on the button
         */
        "loading": boolean;
        /**
          * Remove the default border radius
         */
        "noRadius": boolean;
        /**
          * Outlined button style
         */
        "outlined": boolean;
        /**
          * Path for the svg icon
         */
        "path": string;
        /**
          * Size of the button
         */
        "size": 'default' | 'small' | 'large';
        /**
          * Hyperlink target
         */
        "target": string;
        /**
          * Transparent button background
         */
        "text": boolean;
        /**
          * Button type
         */
        "type": 'button' | 'submit';
        /**
          * Value for the button - for use in the c-tab-buttons
         */
        "value"?: number | string;
    }
    /**
     * @group Cards
     */
    interface CCard {
        /**
          * Card background image for login pages of specific services
         */
        "background": CardBackground;
        /**
          * Background color
         */
        "backgroundColor": string;
        /**
          * Enter fullscreen from the outside
         */
        "enterFullscreen": () => Promise<void>;
        /**
          * Exit fullscreen from the outside
         */
        "exitFullscreen": () => Promise<void>;
        /**
          * Enable the fullscreen toggle button
         */
        "fullscreen": boolean;
    }
    /**
     * @parent c-card
     */
    interface CCardActions {
        /**
          * Align the actions
         */
        "align": 'start' | 'center' | 'end';
        /**
          * Justify the actions
         */
        "justify": | 'start'
    | 'center'
    | 'end'
    | 'space-between'
    | 'stretch'
    | 'space-around';
    }
    /**
     * @parent c-card
     */
    interface CCardContent {
    }
    /**
     * @parent c-card
     */
    interface CCardTitle {
    }
    /**
     * @group Form
     */
    interface CCheckbox {
        /**
          * Disable the checkbox
         */
        "disabled": boolean;
        /**
          * Hide the hint and error messages
         */
        "hideDetails": boolean;
        /**
          * Hint text for the input
         */
        "hint": string;
        /**
          * Indeterminate state
         */
        "indeterminate": boolean;
        /**
          * Element label
         */
        "label": string;
        /**
          * Set as required
         */
        "required": boolean;
        /**
          * Set the validity of the input
         */
        "valid": boolean;
        /**
          * Custom validation message
         */
        "validation": string;
        /**
          * Is the element checked
         */
        "value": boolean;
    }
    /**
     * A container component for cookie consent
     * @group Popups
     */
    interface CConsent {
    }
    /**
     * Container component for holding current page content
     * @group Layout
     */
    interface CContainer {
        /**
          * Maximum width of container in pixels
         */
        "width": number;
    }
    /**
     * @parent c-toolbar
     */
    interface CCscLogo {
        /**
          * Logo width in pixels
         */
        "width": number;
    }
    /**
     * @group Tables
     */
    interface CDataTable {
        /**
          * Clear selections externally
         */
        "clearSelections": () => Promise<void>;
        /**
          * Data of the table
         */
        "data": CDataTableData[];
        /**
          * Externally sorted and paginated data
         */
        "externalData": boolean;
        /**
          * Items per page options
         */
        "footerOptions": CDataTableFooterOptions;
        /**
          * Provide sorted data
         */
        "getData": () => Promise<Record<string, string | number | boolean>[]>;
        /**
          * Headers of the table
         */
        "headers": CDataTableHeader[];
        /**
          * Hide the footer
         */
        "hideFooter": boolean;
        /**
          * Use horizontal scrolling
         */
        "horizontalScrolling": boolean;
        /**
          * Show a loader on top of the table
         */
        "loading": boolean;
        /**
          * Text shown when there is no data and the table is loading
         */
        "loadingText": string;
        /**
          * Text shown when there are no data available
         */
        "noDataText": string;
        /**
          * Pagination options
         */
        "pagination": CPaginationOptions;
        /**
          * Make rows selectable
         */
        "selectable": boolean;
        /**
          * Property used in selections
         */
        "selectionProperty": string;
        /**
          * Allow only a single row expanded at a time
         */
        "singleExpansion": boolean;
        /**
          * Select only a single row at a time
         */
        "singleSelection": boolean;
        /**
          * Sort data by
         */
        "sortBy": any;
        /**
          * Sorting direction
         */
        "sortDirection": 'asc' | 'desc' | null;
        /**
          * Use sticky header
         */
        "stickyHeader": boolean;
    }
    /**
     * Component which fills the remaining space within a flex container
     * @group Layout
     */
    interface CFlex {
    }
    /**
     * @group Other
     */
    interface CIcon {
        /**
          * Fill color
         */
        "color": string;
        /**
          * Svg path d attribute value
         */
        "path": string;
        /**
          * Icon size in pixels
         */
        "size": number;
    }
    /**
     * @group Buttons
     */
    interface CIconButton {
        /**
          * Show a badge on top of the icon
         */
        "badge": string;
        /**
          * Disable the button
         */
        "disabled": boolean;
        /**
          * Ghost variant of the button
         */
        "ghost": boolean;
        /**
          * Inverted color for dark backgrounds
         */
        "inverted": boolean;
        /**
          * Outlined variant of the button
         */
        "outlined": boolean;
        /**
          * Path for the svg icon
         */
        "path": string;
        /**
          * Size of the button
         */
        "size": 'default' | 'x-small' | 'small';
        /**
          * Text variant of the button
         */
        "text": boolean;
    }
    /**
     * @parent None
     */
    interface CInput {
        /**
          * Auto focus the input
         */
        "autofocus": boolean;
        /**
          * Disable the input
         */
        "disabled": boolean;
        /**
          * Render a hidden input outside the shadow dom
         */
        "form": boolean;
        /**
          * Hide the hint and error messages
         */
        "hideDetails": boolean;
        /**
          * Hint text for the input
         */
        "hint": string;
        /**
          * Id of the input
         */
        "hostId": string;
        /**
          * Id of the input element
         */
        "inputId": string;
        /**
          * Label of the input
         */
        "label": string;
        /**
          * Maximum value on a numeric input
         */
        "max": number;
        /**
          * Minimum value on a numeric input
         */
        "min": number;
        /**
          * Name of the input
         */
        "name": string;
        /**
          * Numeric input
          * @deprecated Use type="number" instead
         */
        "number": boolean;
        /**
          * Placeholder of the input
         */
        "placeholder": string;
        /**
          * Mark as readonly
         */
        "readonly": boolean;
        /**
          * Set the input as required
         */
        "required": boolean;
        /**
          * Rows on the input
         */
        "rows": number;
        /**
          * Shadow variant of the input
         */
        "shadow": boolean;
        /**
          * Step size on a numeric input
         */
        "step": number;
        /**
          * Type of the input
         */
        "type": string;
        /**
          * Set the validíty of the input
         */
        "valid": boolean;
        /**
          * Manual validation
         */
        "validate": boolean;
        /**
          * Validate the input on blur
         */
        "validateOnBlur": boolean;
        /**
          * Custom validation message
         */
        "validation": string;
        /**
          * Value of the input
         */
        "value": string | number | boolean | CSelectItem | CAutocompleteItem;
        /**
          * Variant
         */
        "variant": 'text' | 'select';
    }
    /**
     * Basic hyperlink component
     * @group Buttons
     */
    interface CLink {
        /**
          * Use another CSC color
         */
        "color": CSCColor;
        /**
          * Url of link
         */
        "href": string;
        /**
          * Icon position
         */
        "iconAfter": false;
        /**
          * Fill color for the svg icon
         */
        "iconFill": CSCColor;
        /**
          * Icon style overrides
         */
        "iconStyle": {};
        /**
          * Path for the svg icon
         */
        "path": string;
        /**
          * regular target attribute of a hyperlink
         */
        "target": string;
        /**
          * Display line under the link
         */
        "underline": boolean;
        /**
          * Customisable font weight
         */
        "weight": string;
    }
    /**
     * A loader component that fills the nearest containing element that has css-property position set to 'relative'
     * @group Indicators
     */
    interface CLoader {
        /**
          * Delay in seconds of showing the contents in the slot of the loader
         */
        "contentdelay": number;
        /**
          * Hide the loader
         */
        "hide": boolean;
        /**
          * Size of the loader
         */
        "size": number;
    }
    /**
     * @parent c-login-buttons
     */
    interface CLoginButton {
        /**
          * Alt description for logo
         */
        "alt": string;
        /**
          * Login provider link
         */
        "href": string;
        /**
          * Login provider logo url
         */
        "src": string;
    }
    /**
     * @parent none
     */
    interface CLoginButtons {
    }
    /**
     * @group Cards
     */
    interface CLoginCard {
        /**
          * Background position (css background-position)
         */
        "backgroundPosition": string;
        /**
          * Mobile breakpoint in pixels
         */
        "mobileBreakpoint": number;
        /**
          * Add colored overlay to the background image
         */
        "overlay": boolean;
        /**
          * Add colored overlay to the background image
         */
        "overlayBlendMode": CLoginCardBlendMode;
        /**
          * Background image
         */
        "src": string;
    }
    /**
     * @parent c-login-card
     */
    interface CLoginCardActions {
        /**
          * Align the actions
         */
        "align": 'start' | 'center' | 'end';
        /**
          * Justify the actions
         */
        "justify": | 'start'
    | 'center'
    | 'end'
    | 'space-between'
    | 'stretch'
    | 'space-around';
    }
    /**
     * @parent c-login-card
     */
    interface CLoginCardContent {
    }
    /**
     * @parent c-login-card
     */
    interface CLoginCardTitle {
    }
    /**
     * Wrapper component for the whole page
     * @group Layout
     */
    interface CMain {
    }
    /**
     * @group Navigation
     */
    interface CMenu {
        /**
          * Programmatic trigger component
         */
        "customTrigger": CMenuCustomTrigger;
        /**
          * Menu items
         */
        "items": CMenuOption[];
        /**
          * Items per page before adding scroll
         */
        "itemsPerPage": number;
        /**
          * No hover background
         */
        "nohover": boolean;
        /**
          * Simple variant without chevron and background, E.g. when a button is the activator
         */
        "simple": boolean;
        /**
          * Small variant
         */
        "small": boolean;
    }
    /**
     * @parent none
     */
    interface CMenuItems {
        /**
          * Menu is opened and positioned
         */
        "active": boolean;
        /**
          * is active
          * @private
         */
        "index": number | null;
        /**
          * Menu items
         */
        "items": CMenuOption[];
        /**
          * Items per page before adding scroll
         */
        "itemsPerPage": number;
        /**
          * Menu parent
         */
        "parent": HTMLCMenuElement;
        /**
          * Type of parent
         */
        "parentType": string;
        /**
          * Small variant
         */
        "small": boolean;
        /**
          * Initial top position
         */
        "top": number;
    }
    /**
     * @parent None
     */
    interface CMessage {
        /**
          * Hint text for the input
         */
        "hint": string;
        /**
          * Id of the related input element
         */
        "inputId": string;
        /**
          * Parent validíty
         */
        "valid": boolean;
        /**
          * Custom validation message
         */
        "validation": string;
    }
    /**
     * @group Popups
     */
    interface CModal {
        /**
          * Disable backdrop blur effect
         */
        "disableBackdropBlur": boolean;
        /**
          * Dismissed when touching/clicking outside the content
         */
        "dismissable": boolean;
        /**
          * Is the modal visible
         */
        "value": boolean;
        /**
          * Width of the dialog. Numeric value is considered as pixel value (400 -> 400px)
         */
        "width": string | number;
        /**
          * Z-index of the modal
         */
        "zIndex": number;
    }
    /**
     * @parent c-toolbar
     */
    interface CNavigationbutton {
    }
    /**
     * @parent None
     */
    interface CNotification {
        /**
          * notification contents
         */
        "notification": {
    name: string;
    type: 'warning' | 'error' | 'success' | 'info';
    delay?: number;
    requiresClosing?: boolean;
  };
        /**
          * Position of the notifications
         */
        "position": 'fixed' | 'absolute';
    }
    /**
     * @parent c-select
     */
    interface COption {
        /**
          * Set option as disabled
         */
        "disabled": boolean;
        /**
          * Option name
         */
        "name": string;
        /**
          * Set option as selected
         */
        "selected": boolean;
        /**
          * Option value
         */
        "value": string | number;
    }
    /**
     * @group Form
     */
    interface COtpInput {
        /**
          * Id of the element
         */
        "elementId": string;
        /**
          * Hide the hint and error messages
         */
        "hideDetails": boolean;
        /**
          * Hint text for the input
         */
        "hint": string;
        /**
          * Length of the OTP code
         */
        "length": number;
        /**
          * Set the validíty of the input
         */
        "valid": boolean;
        /**
          * Custom validation message
         */
        "validation": string;
    }
    /**
     * @group Navigation
     */
    interface CPagination {
        /**
          * Hide details (per page dropdown and the 'x - y of n pages' text)
         */
        "hideDetails": boolean;
        /**
          * Hide range indicator
         */
        "hideRange": boolean;
        /**
          * Items per page options
         */
        "itemsPerPageOptions": number[];
        /**
          * Hide page number buttons
         */
        "simple": boolean;
        /**
          * Hide details (per page dropdown and the 'x - y of n pages' text)
         */
        "size": 'default' | 'small';
        /**
          * Object containing values that are needed for pagination.  Note! startFrom and endTo are assigned automatically to the object based on other values
         */
        "value": CPaginationOptions;
    }
    /**
     * @group Indicators
     */
    interface CProgressBar {
        /**
          * Color of the bar (valid css color)
          * @default var(--csc-primary)
         */
        "color": string;
        /**
          * Hide the percentage display
         */
        "hideDetails": boolean;
        /**
          * Indeterminate state of the progress bar
         */
        "indeterminate": boolean;
        /**
          * Optional details message next to percentage display
         */
        "label": string;
        /**
          * Place details next to progress bar
         */
        "singleLine": boolean;
        /**
          * Progress bar value in percentage (0 to 100)
         */
        "value": number;
    }
    /**
     * @group Form
     */
    interface CRadioGroup {
        /**
          * Color of the radio group
         */
        "color": string;
        /**
          * Disable the radio group
         */
        "disabled": boolean;
        /**
          * Hide the hint and error messages
         */
        "hideDetails": boolean;
        /**
          * Hint text for the input
         */
        "hint": string;
        /**
          * Display radio buttons inline
         */
        "inline": boolean;
        /**
          * Radio group items
         */
        "items": CRadioGroupItem[];
        /**
          * Label of the radio group
         */
        "label": string;
        /**
          * Set as required
         */
        "required": boolean;
        /**
          * Return only the item value rather than the whole item object
         */
        "returnValue": false;
        /**
          * Set the validity of the input
         */
        "valid": boolean;
        /**
          * Custom validation message
         */
        "validation": string;
        /**
          * Value of the radio group
         */
        "value": string | number | CRadioGroupItem;
    }
    /**
     * Generic flex row component
     * @group Layout
     */
    interface CRow {
        /**
          * Align items vertically
         */
        "align": 'start' | 'center' | 'end';
        /**
          * Gap between items in px
         */
        "gap": number;
        /**
          * Justify content horizontally
         */
        "justify": | 'start'
    | 'center'
    | 'end'
    | 'space-between'
    | 'space-around';
        /**
          * Disable flex wrap
         */
        "nowrap": boolean;
    }
    /**
     * @group Form
     */
    interface CSelect {
        /**
          * Auto focus the input
         */
        "autofocus": boolean;
        /**
          * Disable the input
         */
        "disabled": boolean;
        /**
          * Hide the hint and error messages
         */
        "hideDetails": boolean;
        /**
          * Hint text for the input
         */
        "hint": string;
        /**
          * Id of the element
         */
        "hostId": string;
        /**
          * selectable items
         */
        "items": CSelectItem[];
        /**
          * Items per page before adding scroll
         */
        "itemsPerPage": number;
        /**
          * Element label
         */
        "label": string;
        /**
          * Input field name
         */
        "name": string;
        /**
          * display the option as selection (works only when c-option elements are used)
         */
        "optionAsSelection": false;
        /**
          * Placeholder text
         */
        "placeholder": string;
        /**
          * Set as required
         */
        "required": boolean;
        /**
          * Return only the item value rather than the whole item object
         */
        "returnValue": false;
        /**
          * Shadow variant
         */
        "shadow": boolean;
        /**
          * Set the validity of the input
         */
        "valid": boolean;
        /**
          * Manual validation
         */
        "validate": boolean;
        /**
          * Validate the input on blur
         */
        "validateOnBlur": boolean;
        /**
          * Custom validation message
         */
        "validation": string;
        /**
          * Selected item
         */
        "value": string | number | boolean | CSelectItem;
    }
    /**
     * @group Navigation
     */
    interface CSidenavigation {
        /**
          * Mobile version menu visibility
         */
        "menuVisible": boolean;
        /**
          * Mobile version
         */
        "mobile": boolean;
    }
    /**
     * @parent c-sidenavigation
     */
    interface CSidenavigationitem {
        /**
          * Indicate active state
         */
        "active": boolean;
        /**
          * Hyperlink url
         */
        "href": string;
        /**
          * Loading state
         */
        "loading": boolean;
        /**
          * Hyperlink target
         */
        "target": string;
    }
    /**
     * Spacer component for flex containers
     * @group Layout
     */
    interface CSpacer {
    }
    /**
     * @group Indicators
     */
    interface CStatus {
        /**
          * Status type
         */
        "type"?: 'info' | 'warning' | 'error' | 'success';
    }
    /**
     * @group Indicators
     * @parent c-steps
     */
    interface CStep {
        /**
          * Mark step as complete
          * @private
         */
        "complete": boolean;
        /**
          * Mark step as current
          * @private
         */
        "current": boolean;
    }
    /**
     * @group Indicators
     */
    interface CSteps {
        /**
          * Value of the accordion (current step number)
         */
        "value": number | string;
    }
    /**
     * @parent c-sidenavigation
     */
    interface CSubnavigationitem {
        /**
          * Active state
         */
        "active": boolean;
        /**
          * Element is visible and focusable
         */
        "focusable": boolean;
        /**
          * Link url
         */
        "href": string;
        /**
          * Loading state
         */
        "loading": boolean;
        /**
          * Link target
         */
        "target": string;
    }
    /**
     * @group Content Selectors
     */
    interface CSwiper {
        /**
          * Value of the swiper
         */
        "value": number | string;
    }
    /**
     * @parent c-swiper
     */
    interface CSwiperTab {
        /**
          * Mark as active
         */
        "active": boolean;
        /**
          * Disable button
         */
        "disabled": boolean;
        /**
          * Id of the button
         */
        "hostId": string;
        /**
          * Label of the button
         */
        "label": string;
        /**
          * Position in the set
          * @private
         */
        "position": number;
        /**
          * Size of the set
          * @private
         */
        "setsize": number;
        /**
          * Value of the button
         */
        "value": number | string;
    }
    /**
     * @group Form
     */
    interface CSwitch {
        /**
          * Disable the switch
         */
        "hostDisabled": boolean;
        /**
          * Id for the element
         */
        "hostId": string;
        /**
          * Set as required
         */
        "required": boolean;
        /**
          * Value of the element
         */
        "value": boolean;
    }
    /**
     * @group Tabs
     * @parent c-tabs
     */
    interface CTab {
        /**
          * Mark tab as active
         */
        "active": boolean;
        /**
          * Mark tab as disabled
         */
        "disabled": boolean;
        /**
          * Id of the tab
         */
        "hostId": string;
        /**
          * Position in the set
          * @private
         */
        "position": number;
        /**
          * Size of the set
          * @private
         */
        "setsize": number;
        /**
          * Value for the tab - for use in c-tabs
         */
        "value"?: number | string;
    }
    /**
     * @group Content Selectors
     */
    interface CTabButtons {
        /**
          * Disable tab buttons
         */
        "hostDisabled": boolean;
        /**
          * Always require a selection
         */
        "mandatory": boolean;
        /**
          * Size of the buttons
         */
        "size": 'default' | 'small';
        /**
          * Value of tab buttons
         */
        "value": number | string;
    }
    /**
     * @group Content Selectors
     */
    interface CTabs {
        /**
          * Disable the bottom border
         */
        "borderless": boolean;
        /**
          * Currently active tab
         */
        "value": number | string;
    }
    /**
     * @group Buttons
     */
    interface CTag {
        /**
          * Mark tag as active
         */
        "active": boolean;
        /**
          * Display an optional badge at the start of the tag
         */
        "badge": string | number;
        /**
          * Mark tag as closeable
         */
        "closeable": boolean;
        /**
          * Stretch to fill the container
         */
        "fit": boolean;
        /**
          * Remove the hover effect
         */
        "flat": boolean;
    }
    /**
     * @group Form
     */
    interface CTextField {
        /**
          * HTML input autocapitalize
         */
        "autocapitalize": string;
        /**
          * HTML input autocomplete
         */
        "autocomplete": string;
        /**
          * HTML input autocorrect
         */
        "autocorrect": string;
        /**
          * Auto focus the input
         */
        "autofocus": boolean;
        /**
          * Disable the input
         */
        "disabled": boolean;
        /**
          * Hide the hint and error messages
         */
        "hideDetails": boolean;
        /**
          * Hint text for the input
         */
        "hint": string;
        /**
          * Id of the input
         */
        "hostId": string;
        /**
          * Label of the input
         */
        "label": string;
        /**
          * Maximum value on a numeric input
         */
        "max": number;
        /**
          * Minimum value on a numeric input
         */
        "min": number;
        /**
          * Name of the input
         */
        "name": string;
        /**
          * Numeric input
          * @deprecated Use type="number" instead
         */
        "number": boolean;
        /**
          * Placeholder of the input
         */
        "placeholder": string;
        /**
          * Mark as readonly
         */
        "readonly": boolean;
        /**
          * Set the input as required
         */
        "required": boolean;
        /**
          * Rows on the input
         */
        "rows": number;
        /**
          * Shadow variant of the input
         */
        "shadow": boolean;
        /**
          * Step size on a numeric input
         */
        "step": number;
        /**
          * Trim whitespace from the return value
         */
        "trimWhitespace": boolean;
        /**
          * Type of the input
         */
        "type": string;
        /**
          * Set the validity of the input
         */
        "valid": boolean;
        /**
          * Manual validation
         */
        "validate": boolean;
        /**
          * Validate the input on blur
         */
        "validateOnBlur": boolean;
        /**
          * Custom validation message
         */
        "validation": string;
        /**
          * Value of the input
         */
        "value": string;
    }
    /**
     * @parent None
     */
    interface CTitle {
    }
    /**
     * @parent none
     */
    interface CToast {
        /**
          * Close toast
          * @emits close
         */
        "closeToast": () => Promise<void>;
        /**
          * Messages
         */
        "message": CToastMessage;
    }
    /**
     * @group Popups
     */
    interface CToasts {
        /**
          * Use absolute positioning
         */
        "absolute": boolean;
        /**
          * Add a new message
         */
        "addToast": (message: CToastMessage) => Promise<void>;
        /**
          * Horizontal position
         */
        "horizontal": 'left' | 'center' | 'right';
        /**
          * Remove a message by id (id should be specified in the addToast params)
         */
        "removeToast": (id: string) => Promise<void>;
        /**
          * Vertical position
         */
        "vertical": 'top' | 'bottom';
    }
    /**
     * @group Navigation
     */
    interface CToolbar {
    }
}
export interface CAccordionCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCAccordionElement;
}
export interface CAccordionItemCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCAccordionItemElement;
}
export interface CAutocompleteCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCAutocompleteElement;
}
export interface CButtonCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCButtonElement;
}
export interface CCheckboxCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCCheckboxElement;
}
export interface CDataTableCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCDataTableElement;
}
export interface CInputCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCInputElement;
}
export interface CMenuItemsCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCMenuItemsElement;
}
export interface CModalCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCModalElement;
}
export interface COtpInputCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCOtpInputElement;
}
export interface CPaginationCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCPaginationElement;
}
export interface CRadioGroupCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCRadioGroupElement;
}
export interface CSelectCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCSelectElement;
}
export interface CSidenavigationitemCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCSidenavigationitemElement;
}
export interface CStepsCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCStepsElement;
}
export interface CSwiperCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCSwiperElement;
}
export interface CSwiperTabCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCSwiperTabElement;
}
export interface CSwitchCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCSwitchElement;
}
export interface CTabCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCTabElement;
}
export interface CTabButtonsCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCTabButtonsElement;
}
export interface CTabsCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCTabsElement;
}
export interface CTextFieldCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCTextFieldElement;
}
export interface CToastCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCToastElement;
}
declare global {
    /**
     * @group Content Selectors
     */
    interface HTMLCAccordionElement extends Components.CAccordion, HTMLStencilElement {
    }
    var HTMLCAccordionElement: {
        prototype: HTMLCAccordionElement;
        new (): HTMLCAccordionElement;
    };
    /**
     * @parent c-accordion
     */
    interface HTMLCAccordionItemElement extends Components.CAccordionItem, HTMLStencilElement {
    }
    var HTMLCAccordionItemElement: {
        prototype: HTMLCAccordionItemElement;
        new (): HTMLCAccordionItemElement;
    };
    /**
     * @group Indicators
     */
    interface HTMLCAlertElement extends Components.CAlert, HTMLStencilElement {
    }
    var HTMLCAlertElement: {
        prototype: HTMLCAlertElement;
        new (): HTMLCAlertElement;
    };
    /**
     * @group Form
     */
    interface HTMLCAutocompleteElement extends Components.CAutocomplete, HTMLStencilElement {
    }
    var HTMLCAutocompleteElement: {
        prototype: HTMLCAutocompleteElement;
        new (): HTMLCAutocompleteElement;
    };
    /**
     * @group Buttons
     */
    interface HTMLCButtonElement extends Components.CButton, HTMLStencilElement {
    }
    var HTMLCButtonElement: {
        prototype: HTMLCButtonElement;
        new (): HTMLCButtonElement;
    };
    /**
     * @group Cards
     */
    interface HTMLCCardElement extends Components.CCard, HTMLStencilElement {
    }
    var HTMLCCardElement: {
        prototype: HTMLCCardElement;
        new (): HTMLCCardElement;
    };
    /**
     * @parent c-card
     */
    interface HTMLCCardActionsElement extends Components.CCardActions, HTMLStencilElement {
    }
    var HTMLCCardActionsElement: {
        prototype: HTMLCCardActionsElement;
        new (): HTMLCCardActionsElement;
    };
    /**
     * @parent c-card
     */
    interface HTMLCCardContentElement extends Components.CCardContent, HTMLStencilElement {
    }
    var HTMLCCardContentElement: {
        prototype: HTMLCCardContentElement;
        new (): HTMLCCardContentElement;
    };
    /**
     * @parent c-card
     */
    interface HTMLCCardTitleElement extends Components.CCardTitle, HTMLStencilElement {
    }
    var HTMLCCardTitleElement: {
        prototype: HTMLCCardTitleElement;
        new (): HTMLCCardTitleElement;
    };
    /**
     * @group Form
     */
    interface HTMLCCheckboxElement extends Components.CCheckbox, HTMLStencilElement {
    }
    var HTMLCCheckboxElement: {
        prototype: HTMLCCheckboxElement;
        new (): HTMLCCheckboxElement;
    };
    /**
     * A container component for cookie consent
     * @group Popups
     */
    interface HTMLCConsentElement extends Components.CConsent, HTMLStencilElement {
    }
    var HTMLCConsentElement: {
        prototype: HTMLCConsentElement;
        new (): HTMLCConsentElement;
    };
    /**
     * Container component for holding current page content
     * @group Layout
     */
    interface HTMLCContainerElement extends Components.CContainer, HTMLStencilElement {
    }
    var HTMLCContainerElement: {
        prototype: HTMLCContainerElement;
        new (): HTMLCContainerElement;
    };
    /**
     * @parent c-toolbar
     */
    interface HTMLCCscLogoElement extends Components.CCscLogo, HTMLStencilElement {
    }
    var HTMLCCscLogoElement: {
        prototype: HTMLCCscLogoElement;
        new (): HTMLCCscLogoElement;
    };
    /**
     * @group Tables
     */
    interface HTMLCDataTableElement extends Components.CDataTable, HTMLStencilElement {
    }
    var HTMLCDataTableElement: {
        prototype: HTMLCDataTableElement;
        new (): HTMLCDataTableElement;
    };
    /**
     * Component which fills the remaining space within a flex container
     * @group Layout
     */
    interface HTMLCFlexElement extends Components.CFlex, HTMLStencilElement {
    }
    var HTMLCFlexElement: {
        prototype: HTMLCFlexElement;
        new (): HTMLCFlexElement;
    };
    /**
     * @group Other
     */
    interface HTMLCIconElement extends Components.CIcon, HTMLStencilElement {
    }
    var HTMLCIconElement: {
        prototype: HTMLCIconElement;
        new (): HTMLCIconElement;
    };
    /**
     * @group Buttons
     */
    interface HTMLCIconButtonElement extends Components.CIconButton, HTMLStencilElement {
    }
    var HTMLCIconButtonElement: {
        prototype: HTMLCIconButtonElement;
        new (): HTMLCIconButtonElement;
    };
    /**
     * @parent None
     */
    interface HTMLCInputElement extends Components.CInput, HTMLStencilElement {
    }
    var HTMLCInputElement: {
        prototype: HTMLCInputElement;
        new (): HTMLCInputElement;
    };
    /**
     * Basic hyperlink component
     * @group Buttons
     */
    interface HTMLCLinkElement extends Components.CLink, HTMLStencilElement {
    }
    var HTMLCLinkElement: {
        prototype: HTMLCLinkElement;
        new (): HTMLCLinkElement;
    };
    /**
     * A loader component that fills the nearest containing element that has css-property position set to 'relative'
     * @group Indicators
     */
    interface HTMLCLoaderElement extends Components.CLoader, HTMLStencilElement {
    }
    var HTMLCLoaderElement: {
        prototype: HTMLCLoaderElement;
        new (): HTMLCLoaderElement;
    };
    /**
     * @parent c-login-buttons
     */
    interface HTMLCLoginButtonElement extends Components.CLoginButton, HTMLStencilElement {
    }
    var HTMLCLoginButtonElement: {
        prototype: HTMLCLoginButtonElement;
        new (): HTMLCLoginButtonElement;
    };
    /**
     * @parent none
     */
    interface HTMLCLoginButtonsElement extends Components.CLoginButtons, HTMLStencilElement {
    }
    var HTMLCLoginButtonsElement: {
        prototype: HTMLCLoginButtonsElement;
        new (): HTMLCLoginButtonsElement;
    };
    /**
     * @group Cards
     */
    interface HTMLCLoginCardElement extends Components.CLoginCard, HTMLStencilElement {
    }
    var HTMLCLoginCardElement: {
        prototype: HTMLCLoginCardElement;
        new (): HTMLCLoginCardElement;
    };
    /**
     * @parent c-login-card
     */
    interface HTMLCLoginCardActionsElement extends Components.CLoginCardActions, HTMLStencilElement {
    }
    var HTMLCLoginCardActionsElement: {
        prototype: HTMLCLoginCardActionsElement;
        new (): HTMLCLoginCardActionsElement;
    };
    /**
     * @parent c-login-card
     */
    interface HTMLCLoginCardContentElement extends Components.CLoginCardContent, HTMLStencilElement {
    }
    var HTMLCLoginCardContentElement: {
        prototype: HTMLCLoginCardContentElement;
        new (): HTMLCLoginCardContentElement;
    };
    /**
     * @parent c-login-card
     */
    interface HTMLCLoginCardTitleElement extends Components.CLoginCardTitle, HTMLStencilElement {
    }
    var HTMLCLoginCardTitleElement: {
        prototype: HTMLCLoginCardTitleElement;
        new (): HTMLCLoginCardTitleElement;
    };
    /**
     * Wrapper component for the whole page
     * @group Layout
     */
    interface HTMLCMainElement extends Components.CMain, HTMLStencilElement {
    }
    var HTMLCMainElement: {
        prototype: HTMLCMainElement;
        new (): HTMLCMainElement;
    };
    /**
     * @group Navigation
     */
    interface HTMLCMenuElement extends Components.CMenu, HTMLStencilElement {
    }
    var HTMLCMenuElement: {
        prototype: HTMLCMenuElement;
        new (): HTMLCMenuElement;
    };
    /**
     * @parent none
     */
    interface HTMLCMenuItemsElement extends Components.CMenuItems, HTMLStencilElement {
    }
    var HTMLCMenuItemsElement: {
        prototype: HTMLCMenuItemsElement;
        new (): HTMLCMenuItemsElement;
    };
    /**
     * @parent None
     */
    interface HTMLCMessageElement extends Components.CMessage, HTMLStencilElement {
    }
    var HTMLCMessageElement: {
        prototype: HTMLCMessageElement;
        new (): HTMLCMessageElement;
    };
    /**
     * @group Popups
     */
    interface HTMLCModalElement extends Components.CModal, HTMLStencilElement {
    }
    var HTMLCModalElement: {
        prototype: HTMLCModalElement;
        new (): HTMLCModalElement;
    };
    /**
     * @parent c-toolbar
     */
    interface HTMLCNavigationbuttonElement extends Components.CNavigationbutton, HTMLStencilElement {
    }
    var HTMLCNavigationbuttonElement: {
        prototype: HTMLCNavigationbuttonElement;
        new (): HTMLCNavigationbuttonElement;
    };
    /**
     * @parent None
     */
    interface HTMLCNotificationElement extends Components.CNotification, HTMLStencilElement {
    }
    var HTMLCNotificationElement: {
        prototype: HTMLCNotificationElement;
        new (): HTMLCNotificationElement;
    };
    /**
     * @parent c-select
     */
    interface HTMLCOptionElement extends Components.COption, HTMLStencilElement {
    }
    var HTMLCOptionElement: {
        prototype: HTMLCOptionElement;
        new (): HTMLCOptionElement;
    };
    /**
     * @group Form
     */
    interface HTMLCOtpInputElement extends Components.COtpInput, HTMLStencilElement {
    }
    var HTMLCOtpInputElement: {
        prototype: HTMLCOtpInputElement;
        new (): HTMLCOtpInputElement;
    };
    /**
     * @group Navigation
     */
    interface HTMLCPaginationElement extends Components.CPagination, HTMLStencilElement {
    }
    var HTMLCPaginationElement: {
        prototype: HTMLCPaginationElement;
        new (): HTMLCPaginationElement;
    };
    /**
     * @group Indicators
     */
    interface HTMLCProgressBarElement extends Components.CProgressBar, HTMLStencilElement {
    }
    var HTMLCProgressBarElement: {
        prototype: HTMLCProgressBarElement;
        new (): HTMLCProgressBarElement;
    };
    /**
     * @group Form
     */
    interface HTMLCRadioGroupElement extends Components.CRadioGroup, HTMLStencilElement {
    }
    var HTMLCRadioGroupElement: {
        prototype: HTMLCRadioGroupElement;
        new (): HTMLCRadioGroupElement;
    };
    /**
     * Generic flex row component
     * @group Layout
     */
    interface HTMLCRowElement extends Components.CRow, HTMLStencilElement {
    }
    var HTMLCRowElement: {
        prototype: HTMLCRowElement;
        new (): HTMLCRowElement;
    };
    /**
     * @group Form
     */
    interface HTMLCSelectElement extends Components.CSelect, HTMLStencilElement {
    }
    var HTMLCSelectElement: {
        prototype: HTMLCSelectElement;
        new (): HTMLCSelectElement;
    };
    /**
     * @group Navigation
     */
    interface HTMLCSidenavigationElement extends Components.CSidenavigation, HTMLStencilElement {
    }
    var HTMLCSidenavigationElement: {
        prototype: HTMLCSidenavigationElement;
        new (): HTMLCSidenavigationElement;
    };
    /**
     * @parent c-sidenavigation
     */
    interface HTMLCSidenavigationitemElement extends Components.CSidenavigationitem, HTMLStencilElement {
    }
    var HTMLCSidenavigationitemElement: {
        prototype: HTMLCSidenavigationitemElement;
        new (): HTMLCSidenavigationitemElement;
    };
    /**
     * Spacer component for flex containers
     * @group Layout
     */
    interface HTMLCSpacerElement extends Components.CSpacer, HTMLStencilElement {
    }
    var HTMLCSpacerElement: {
        prototype: HTMLCSpacerElement;
        new (): HTMLCSpacerElement;
    };
    /**
     * @group Indicators
     */
    interface HTMLCStatusElement extends Components.CStatus, HTMLStencilElement {
    }
    var HTMLCStatusElement: {
        prototype: HTMLCStatusElement;
        new (): HTMLCStatusElement;
    };
    /**
     * @group Indicators
     * @parent c-steps
     */
    interface HTMLCStepElement extends Components.CStep, HTMLStencilElement {
    }
    var HTMLCStepElement: {
        prototype: HTMLCStepElement;
        new (): HTMLCStepElement;
    };
    /**
     * @group Indicators
     */
    interface HTMLCStepsElement extends Components.CSteps, HTMLStencilElement {
    }
    var HTMLCStepsElement: {
        prototype: HTMLCStepsElement;
        new (): HTMLCStepsElement;
    };
    /**
     * @parent c-sidenavigation
     */
    interface HTMLCSubnavigationitemElement extends Components.CSubnavigationitem, HTMLStencilElement {
    }
    var HTMLCSubnavigationitemElement: {
        prototype: HTMLCSubnavigationitemElement;
        new (): HTMLCSubnavigationitemElement;
    };
    /**
     * @group Content Selectors
     */
    interface HTMLCSwiperElement extends Components.CSwiper, HTMLStencilElement {
    }
    var HTMLCSwiperElement: {
        prototype: HTMLCSwiperElement;
        new (): HTMLCSwiperElement;
    };
    /**
     * @parent c-swiper
     */
    interface HTMLCSwiperTabElement extends Components.CSwiperTab, HTMLStencilElement {
    }
    var HTMLCSwiperTabElement: {
        prototype: HTMLCSwiperTabElement;
        new (): HTMLCSwiperTabElement;
    };
    /**
     * @group Form
     */
    interface HTMLCSwitchElement extends Components.CSwitch, HTMLStencilElement {
    }
    var HTMLCSwitchElement: {
        prototype: HTMLCSwitchElement;
        new (): HTMLCSwitchElement;
    };
    /**
     * @group Tabs
     * @parent c-tabs
     */
    interface HTMLCTabElement extends Components.CTab, HTMLStencilElement {
    }
    var HTMLCTabElement: {
        prototype: HTMLCTabElement;
        new (): HTMLCTabElement;
    };
    /**
     * @group Content Selectors
     */
    interface HTMLCTabButtonsElement extends Components.CTabButtons, HTMLStencilElement {
    }
    var HTMLCTabButtonsElement: {
        prototype: HTMLCTabButtonsElement;
        new (): HTMLCTabButtonsElement;
    };
    /**
     * @group Content Selectors
     */
    interface HTMLCTabsElement extends Components.CTabs, HTMLStencilElement {
    }
    var HTMLCTabsElement: {
        prototype: HTMLCTabsElement;
        new (): HTMLCTabsElement;
    };
    /**
     * @group Buttons
     */
    interface HTMLCTagElement extends Components.CTag, HTMLStencilElement {
    }
    var HTMLCTagElement: {
        prototype: HTMLCTagElement;
        new (): HTMLCTagElement;
    };
    /**
     * @group Form
     */
    interface HTMLCTextFieldElement extends Components.CTextField, HTMLStencilElement {
    }
    var HTMLCTextFieldElement: {
        prototype: HTMLCTextFieldElement;
        new (): HTMLCTextFieldElement;
    };
    /**
     * @parent None
     */
    interface HTMLCTitleElement extends Components.CTitle, HTMLStencilElement {
    }
    var HTMLCTitleElement: {
        prototype: HTMLCTitleElement;
        new (): HTMLCTitleElement;
    };
    /**
     * @parent none
     */
    interface HTMLCToastElement extends Components.CToast, HTMLStencilElement {
    }
    var HTMLCToastElement: {
        prototype: HTMLCToastElement;
        new (): HTMLCToastElement;
    };
    /**
     * @group Popups
     */
    interface HTMLCToastsElement extends Components.CToasts, HTMLStencilElement {
    }
    var HTMLCToastsElement: {
        prototype: HTMLCToastsElement;
        new (): HTMLCToastsElement;
    };
    /**
     * @group Navigation
     */
    interface HTMLCToolbarElement extends Components.CToolbar, HTMLStencilElement {
    }
    var HTMLCToolbarElement: {
        prototype: HTMLCToolbarElement;
        new (): HTMLCToolbarElement;
    };
    interface HTMLElementTagNameMap {
        "c-accordion": HTMLCAccordionElement;
        "c-accordion-item": HTMLCAccordionItemElement;
        "c-alert": HTMLCAlertElement;
        "c-autocomplete": HTMLCAutocompleteElement;
        "c-button": HTMLCButtonElement;
        "c-card": HTMLCCardElement;
        "c-card-actions": HTMLCCardActionsElement;
        "c-card-content": HTMLCCardContentElement;
        "c-card-title": HTMLCCardTitleElement;
        "c-checkbox": HTMLCCheckboxElement;
        "c-consent": HTMLCConsentElement;
        "c-container": HTMLCContainerElement;
        "c-csc-logo": HTMLCCscLogoElement;
        "c-data-table": HTMLCDataTableElement;
        "c-flex": HTMLCFlexElement;
        "c-icon": HTMLCIconElement;
        "c-icon-button": HTMLCIconButtonElement;
        "c-input": HTMLCInputElement;
        "c-link": HTMLCLinkElement;
        "c-loader": HTMLCLoaderElement;
        "c-login-button": HTMLCLoginButtonElement;
        "c-login-buttons": HTMLCLoginButtonsElement;
        "c-login-card": HTMLCLoginCardElement;
        "c-login-card-actions": HTMLCLoginCardActionsElement;
        "c-login-card-content": HTMLCLoginCardContentElement;
        "c-login-card-title": HTMLCLoginCardTitleElement;
        "c-main": HTMLCMainElement;
        "c-menu": HTMLCMenuElement;
        "c-menu-items": HTMLCMenuItemsElement;
        "c-message": HTMLCMessageElement;
        "c-modal": HTMLCModalElement;
        "c-navigationbutton": HTMLCNavigationbuttonElement;
        "c-notification": HTMLCNotificationElement;
        "c-option": HTMLCOptionElement;
        "c-otp-input": HTMLCOtpInputElement;
        "c-pagination": HTMLCPaginationElement;
        "c-progress-bar": HTMLCProgressBarElement;
        "c-radio-group": HTMLCRadioGroupElement;
        "c-row": HTMLCRowElement;
        "c-select": HTMLCSelectElement;
        "c-sidenavigation": HTMLCSidenavigationElement;
        "c-sidenavigationitem": HTMLCSidenavigationitemElement;
        "c-spacer": HTMLCSpacerElement;
        "c-status": HTMLCStatusElement;
        "c-step": HTMLCStepElement;
        "c-steps": HTMLCStepsElement;
        "c-subnavigationitem": HTMLCSubnavigationitemElement;
        "c-swiper": HTMLCSwiperElement;
        "c-swiper-tab": HTMLCSwiperTabElement;
        "c-switch": HTMLCSwitchElement;
        "c-tab": HTMLCTabElement;
        "c-tab-buttons": HTMLCTabButtonsElement;
        "c-tabs": HTMLCTabsElement;
        "c-tag": HTMLCTagElement;
        "c-text-field": HTMLCTextFieldElement;
        "c-title": HTMLCTitleElement;
        "c-toast": HTMLCToastElement;
        "c-toasts": HTMLCToastsElement;
        "c-toolbar": HTMLCToolbarElement;
    }
}
declare namespace LocalJSX {
    /**
     * @group Content Selectors
     */
    interface CAccordion {
        /**
          * Disallow collapsing all the items
         */
        "mandatory"?: boolean;
        /**
          * Allow expanding multiple items
         */
        "multiple"?: boolean;
        /**
          * Emit changes to the parent
         */
        "onChangeValue"?: (event: CAccordionCustomEvent<number | string>) => void;
        /**
          * Show an outline around expanded items
         */
        "outlined"?: boolean;
        /**
          * Value of the accordion
         */
        "value": number | string | (number | string)[];
    }
    /**
     * @parent c-accordion
     */
    interface CAccordionItem {
        /**
          * Marks the item as collapsable
          * @private
         */
        "collapsable"?: boolean;
        /**
          * Expansion status of the item
         */
        "expanded"?: boolean;
        /**
          * Heading of the accordion item
         */
        "heading"?: string;
        /**
          * Icon
          * @deprecated Please use the icon slot instead
         */
        "icon"?: 'enabled' | 'disabled' | 'bell' | 'pending';
        /**
          * Emit changes to the c-accordion
          * @private
         */
        "onItemChange"?: (event: CAccordionItemCustomEvent<any>) => void;
        /**
          * Show an outline around the expanded item
          * @private
         */
        "outlined"?: boolean;
        /**
          * Value of the accordion item
         */
        "value"?: number | string;
    }
    /**
     * @group Indicators
     */
    interface CAlert {
        /**
          * Type of the alert
         */
        "type"?: CAlertType;
    }
    /**
     * @group Form
     */
    interface CAutocomplete {
        /**
          * Auto focus the input
         */
        "autofocus"?: boolean;
        /**
          * Render custom menu
         */
        "customMenu"?: boolean;
        /**
          * Dense variant
         */
        "dense"?: boolean;
        /**
          * Disable the input
         */
        "disabled"?: boolean;
        /**
          * Hide the hint and error messages
         */
        "hideDetails"?: boolean;
        /**
          * Hint text for the input
         */
        "hint"?: string;
        /**
          * Id of the element
         */
        "hostId"?: string;
        /**
          * Items to be selected
         */
        "items"?: CAutocompleteItem[];
        /**
          * Items per page before adding scroll
         */
        "itemsPerPage"?: number;
        /**
          * Element label
         */
        "label"?: string;
        /**
          * Input field name
         */
        "name"?: string;
        /**
          * Triggered when text is typed
         */
        "onChangeQuery"?: (event: CAutocompleteCustomEvent<any>) => void;
        /**
          * Triggered when an item is selected
         */
        "onChangeValue"?: (event: CAutocompleteCustomEvent<any>) => void;
        /**
          * Placeholder text
         */
        "placeholder"?: string;
        /**
          * Search string
         */
        "query"?: string;
        /**
          * Show required validation
         */
        "required"?: boolean;
        /**
          * Return only the item value rather than the whole item object
         */
        "returnValue"?: false;
        /**
          * Shadow variant
         */
        "shadow"?: boolean;
        /**
          * Set the validíty of the input
         */
        "valid"?: boolean;
        /**
          * Manual validation
         */
        "validate"?: boolean;
        /**
          * Validate the input on blur
         */
        "validateOnBlur"?: boolean;
        /**
          * Custom validation message
         */
        "validation"?: string;
        /**
          * Selected item
         */
        "value"?: string | number | CAutocompleteItem;
    }
    /**
     * @group Buttons
     */
    interface CButton {
        /**
          * Disable the button
         */
        "disabled"?: boolean;
        /**
          * Fit width to containing element
         */
        "fit"?: boolean;
        /**
          * Light button background
         */
        "ghost"?: boolean;
        /**
          * True when used as a tab button
          * @private
         */
        "grouped"?: boolean;
        /**
          * Id of the button
         */
        "hostId"?: string;
        /**
          * Hyperlink url
         */
        "href"?: string;
        /**
          * Name of the icon to be displayed in the button
          * @deprecated Please use the icon slot instead
         */
        "icon"?: 'plus' | 'minus' | 'account' | 'edit';
        /**
          * Icon after text
         */
        "iconEnd"?: boolean;
        /**
          * Inverted button style for dark backgrounds
         */
        "inverted"?: boolean;
        /**
          * Display loader on the button
         */
        "loading"?: boolean;
        /**
          * Remove the default border radius
         */
        "noRadius"?: boolean;
        /**
          * Emit changes to the parent
          * @private
         */
        "onTabChange"?: (event: CButtonCustomEvent<number | string>) => void;
        /**
          * Outlined button style
         */
        "outlined"?: boolean;
        /**
          * Path for the svg icon
         */
        "path"?: string;
        /**
          * Size of the button
         */
        "size"?: 'default' | 'small' | 'large';
        /**
          * Hyperlink target
         */
        "target"?: string;
        /**
          * Transparent button background
         */
        "text"?: boolean;
        /**
          * Button type
         */
        "type"?: 'button' | 'submit';
        /**
          * Value for the button - for use in the c-tab-buttons
         */
        "value"?: number | string;
    }
    /**
     * @group Cards
     */
    interface CCard {
        /**
          * Card background image for login pages of specific services
         */
        "background"?: CardBackground;
        /**
          * Background color
         */
        "backgroundColor"?: string;
        /**
          * Enable the fullscreen toggle button
         */
        "fullscreen"?: boolean;
    }
    /**
     * @parent c-card
     */
    interface CCardActions {
        /**
          * Align the actions
         */
        "align"?: 'start' | 'center' | 'end';
        /**
          * Justify the actions
         */
        "justify"?: | 'start'
    | 'center'
    | 'end'
    | 'space-between'
    | 'stretch'
    | 'space-around';
    }
    /**
     * @parent c-card
     */
    interface CCardContent {
    }
    /**
     * @parent c-card
     */
    interface CCardTitle {
    }
    /**
     * @group Form
     */
    interface CCheckbox {
        /**
          * Disable the checkbox
         */
        "disabled"?: boolean;
        /**
          * Hide the hint and error messages
         */
        "hideDetails"?: boolean;
        /**
          * Hint text for the input
         */
        "hint"?: string;
        /**
          * Indeterminate state
         */
        "indeterminate"?: boolean;
        /**
          * Element label
         */
        "label"?: string;
        /**
          * Triggered when element is checked or unchecked
         */
        "onChangeValue"?: (event: CCheckboxCustomEvent<any>) => void;
        /**
          * Set as required
         */
        "required"?: boolean;
        /**
          * Set the validity of the input
         */
        "valid"?: boolean;
        /**
          * Custom validation message
         */
        "validation"?: string;
        /**
          * Is the element checked
         */
        "value"?: boolean;
    }
    /**
     * A container component for cookie consent
     * @group Popups
     */
    interface CConsent {
    }
    /**
     * Container component for holding current page content
     * @group Layout
     */
    interface CContainer {
        /**
          * Maximum width of container in pixels
         */
        "width"?: number;
    }
    /**
     * @parent c-toolbar
     */
    interface CCscLogo {
        /**
          * Logo width in pixels
         */
        "width"?: number;
    }
    /**
     * @group Tables
     */
    interface CDataTable {
        /**
          * Data of the table
         */
        "data"?: CDataTableData[];
        /**
          * Externally sorted and paginated data
         */
        "externalData"?: boolean;
        /**
          * Items per page options
         */
        "footerOptions"?: CDataTableFooterOptions;
        /**
          * Headers of the table
         */
        "headers"?: CDataTableHeader[];
        /**
          * Hide the footer
         */
        "hideFooter"?: boolean;
        /**
          * Use horizontal scrolling
         */
        "horizontalScrolling"?: boolean;
        /**
          * Show a loader on top of the table
         */
        "loading"?: boolean;
        /**
          * Text shown when there is no data and the table is loading
         */
        "loadingText"?: string;
        /**
          * Text shown when there are no data available
         */
        "noDataText"?: string;
        /**
          * Triggered on row expansion
         */
        "onExpand"?: (event: CDataTableCustomEvent<any>) => void;
        /**
          * Triggered on pagination
         */
        "onPaginate"?: (event: CDataTableCustomEvent<CPaginationOptions>) => void;
        /**
          * Triggered on selection
         */
        "onSelection"?: (event: CDataTableCustomEvent<any>) => void;
        /**
          * Triggered on sort
         */
        "onSort"?: (event: CDataTableCustomEvent<any>) => void;
        /**
          * Pagination options
         */
        "pagination"?: CPaginationOptions;
        /**
          * Make rows selectable
         */
        "selectable"?: boolean;
        /**
          * Property used in selections
         */
        "selectionProperty"?: string;
        /**
          * Allow only a single row expanded at a time
         */
        "singleExpansion"?: boolean;
        /**
          * Select only a single row at a time
         */
        "singleSelection"?: boolean;
        /**
          * Sort data by
         */
        "sortBy"?: any;
        /**
          * Sorting direction
         */
        "sortDirection"?: 'asc' | 'desc' | null;
        /**
          * Use sticky header
         */
        "stickyHeader"?: boolean;
    }
    /**
     * Component which fills the remaining space within a flex container
     * @group Layout
     */
    interface CFlex {
    }
    /**
     * @group Other
     */
    interface CIcon {
        /**
          * Fill color
         */
        "color"?: string;
        /**
          * Svg path d attribute value
         */
        "path"?: string;
        /**
          * Icon size in pixels
         */
        "size"?: number;
    }
    /**
     * @group Buttons
     */
    interface CIconButton {
        /**
          * Show a badge on top of the icon
         */
        "badge"?: string;
        /**
          * Disable the button
         */
        "disabled"?: boolean;
        /**
          * Ghost variant of the button
         */
        "ghost"?: boolean;
        /**
          * Inverted color for dark backgrounds
         */
        "inverted"?: boolean;
        /**
          * Outlined variant of the button
         */
        "outlined"?: boolean;
        /**
          * Path for the svg icon
         */
        "path"?: string;
        /**
          * Size of the button
         */
        "size"?: 'default' | 'x-small' | 'small';
        /**
          * Text variant of the button
         */
        "text"?: boolean;
    }
    /**
     * @parent None
     */
    interface CInput {
        /**
          * Auto focus the input
         */
        "autofocus"?: boolean;
        /**
          * Disable the input
         */
        "disabled"?: boolean;
        /**
          * Render a hidden input outside the shadow dom
         */
        "form"?: boolean;
        /**
          * Hide the hint and error messages
         */
        "hideDetails"?: boolean;
        /**
          * Hint text for the input
         */
        "hint"?: string;
        /**
          * Id of the input
         */
        "hostId"?: string;
        /**
          * Id of the input element
         */
        "inputId"?: string;
        /**
          * Label of the input
         */
        "label"?: string;
        /**
          * Maximum value on a numeric input
         */
        "max"?: number;
        /**
          * Minimum value on a numeric input
         */
        "min"?: number;
        /**
          * Name of the input
         */
        "name"?: string;
        /**
          * Numeric input
          * @deprecated Use type="number" instead
         */
        "number"?: boolean;
        /**
          * Emit changes to the parent
         */
        "onChangeValue"?: (event: CInputCustomEvent<any>) => void;
        /**
          * Placeholder of the input
         */
        "placeholder"?: string;
        /**
          * Mark as readonly
         */
        "readonly"?: boolean;
        /**
          * Set the input as required
         */
        "required"?: boolean;
        /**
          * Rows on the input
         */
        "rows"?: number;
        /**
          * Shadow variant of the input
         */
        "shadow"?: boolean;
        /**
          * Step size on a numeric input
         */
        "step"?: number;
        /**
          * Type of the input
         */
        "type"?: string;
        /**
          * Set the validíty of the input
         */
        "valid"?: boolean;
        /**
          * Manual validation
         */
        "validate"?: boolean;
        /**
          * Validate the input on blur
         */
        "validateOnBlur"?: boolean;
        /**
          * Custom validation message
         */
        "validation"?: string;
        /**
          * Value of the input
         */
        "value"?: string | number | boolean | CSelectItem | CAutocompleteItem;
        /**
          * Variant
         */
        "variant"?: 'text' | 'select';
    }
    /**
     * Basic hyperlink component
     * @group Buttons
     */
    interface CLink {
        /**
          * Use another CSC color
         */
        "color"?: CSCColor;
        /**
          * Url of link
         */
        "href"?: string;
        /**
          * Icon position
         */
        "iconAfter"?: false;
        /**
          * Fill color for the svg icon
         */
        "iconFill"?: CSCColor;
        /**
          * Icon style overrides
         */
        "iconStyle"?: {};
        /**
          * Path for the svg icon
         */
        "path"?: string;
        /**
          * regular target attribute of a hyperlink
         */
        "target"?: string;
        /**
          * Display line under the link
         */
        "underline"?: boolean;
        /**
          * Customisable font weight
         */
        "weight"?: string;
    }
    /**
     * A loader component that fills the nearest containing element that has css-property position set to 'relative'
     * @group Indicators
     */
    interface CLoader {
        /**
          * Delay in seconds of showing the contents in the slot of the loader
         */
        "contentdelay"?: number;
        /**
          * Hide the loader
         */
        "hide"?: boolean;
        /**
          * Size of the loader
         */
        "size"?: number;
    }
    /**
     * @parent c-login-buttons
     */
    interface CLoginButton {
        /**
          * Alt description for logo
         */
        "alt"?: string;
        /**
          * Login provider link
         */
        "href"?: string;
        /**
          * Login provider logo url
         */
        "src"?: string;
    }
    /**
     * @parent none
     */
    interface CLoginButtons {
    }
    /**
     * @group Cards
     */
    interface CLoginCard {
        /**
          * Background position (css background-position)
         */
        "backgroundPosition"?: string;
        /**
          * Mobile breakpoint in pixels
         */
        "mobileBreakpoint"?: number;
        /**
          * Add colored overlay to the background image
         */
        "overlay"?: boolean;
        /**
          * Add colored overlay to the background image
         */
        "overlayBlendMode"?: CLoginCardBlendMode;
        /**
          * Background image
         */
        "src"?: string;
    }
    /**
     * @parent c-login-card
     */
    interface CLoginCardActions {
        /**
          * Align the actions
         */
        "align"?: 'start' | 'center' | 'end';
        /**
          * Justify the actions
         */
        "justify"?: | 'start'
    | 'center'
    | 'end'
    | 'space-between'
    | 'stretch'
    | 'space-around';
    }
    /**
     * @parent c-login-card
     */
    interface CLoginCardContent {
    }
    /**
     * @parent c-login-card
     */
    interface CLoginCardTitle {
    }
    /**
     * Wrapper component for the whole page
     * @group Layout
     */
    interface CMain {
    }
    /**
     * @group Navigation
     */
    interface CMenu {
        /**
          * Programmatic trigger component
         */
        "customTrigger"?: CMenuCustomTrigger;
        /**
          * Menu items
         */
        "items"?: CMenuOption[];
        /**
          * Items per page before adding scroll
         */
        "itemsPerPage"?: number;
        /**
          * No hover background
         */
        "nohover"?: boolean;
        /**
          * Simple variant without chevron and background, E.g. when a button is the activator
         */
        "simple"?: boolean;
        /**
          * Small variant
         */
        "small"?: boolean;
    }
    /**
     * @parent none
     */
    interface CMenuItems {
        /**
          * Menu is opened and positioned
         */
        "active"?: boolean;
        /**
          * is active
          * @private
         */
        "index"?: number | null;
        /**
          * Menu items
         */
        "items"?: CMenuOption[];
        /**
          * Items per page before adding scroll
         */
        "itemsPerPage"?: number;
        /**
          * Triggered when the menu is closed
         */
        "onClose"?: (event: CMenuItemsCustomEvent<any>) => void;
        /**
          * Triggered when the menu is opened
         */
        "onOpen"?: (event: CMenuItemsCustomEvent<{
    height: number;
    width: number;
    isInView: {
      x: boolean;
      y: boolean;
    };
  }>) => void;
        /**
          * Menu parent
         */
        "parent"?: HTMLCMenuElement;
        /**
          * Type of parent
         */
        "parentType"?: string;
        /**
          * Small variant
         */
        "small"?: boolean;
        /**
          * Initial top position
         */
        "top"?: number;
    }
    /**
     * @parent None
     */
    interface CMessage {
        /**
          * Hint text for the input
         */
        "hint"?: string;
        /**
          * Id of the related input element
         */
        "inputId"?: string;
        /**
          * Parent validíty
         */
        "valid"?: boolean;
        /**
          * Custom validation message
         */
        "validation"?: string;
    }
    /**
     * @group Popups
     */
    interface CModal {
        /**
          * Disable backdrop blur effect
         */
        "disableBackdropBlur"?: boolean;
        /**
          * Dismissed when touching/clicking outside the content
         */
        "dismissable"?: boolean;
        /**
          * Triggered when value is changed
         */
        "onChangeValue"?: (event: CModalCustomEvent<boolean>) => void;
        /**
          * Is the modal visible
         */
        "value"?: boolean;
        /**
          * Width of the dialog. Numeric value is considered as pixel value (400 -> 400px)
         */
        "width"?: string | number;
        /**
          * Z-index of the modal
         */
        "zIndex"?: number;
    }
    /**
     * @parent c-toolbar
     */
    interface CNavigationbutton {
    }
    /**
     * @parent None
     */
    interface CNotification {
        /**
          * notification contents
         */
        "notification"?: {
    name: string;
    type: 'warning' | 'error' | 'success' | 'info';
    delay?: number;
    requiresClosing?: boolean;
  };
        /**
          * Position of the notifications
         */
        "position"?: 'fixed' | 'absolute';
    }
    /**
     * @parent c-select
     */
    interface COption {
        /**
          * Set option as disabled
         */
        "disabled"?: boolean;
        /**
          * Option name
         */
        "name"?: string;
        /**
          * Set option as selected
         */
        "selected"?: boolean;
        /**
          * Option value
         */
        "value"?: string | number;
    }
    /**
     * @group Form
     */
    interface COtpInput {
        /**
          * Id of the element
         */
        "elementId": string;
        /**
          * Hide the hint and error messages
         */
        "hideDetails"?: boolean;
        /**
          * Hint text for the input
         */
        "hint"?: string;
        /**
          * Length of the OTP code
         */
        "length"?: number;
        /**
          * Run on input - returns the current value
         */
        "onChangeValue"?: (event: COtpInputCustomEvent<string>) => void;
        /**
          * Run on completion - returns the current value
         */
        "onCompletion"?: (event: COtpInputCustomEvent<string>) => void;
        /**
          * Set the validíty of the input
         */
        "valid"?: boolean;
        /**
          * Custom validation message
         */
        "validation"?: string;
    }
    /**
     * @group Navigation
     */
    interface CPagination {
        /**
          * Hide details (per page dropdown and the 'x - y of n pages' text)
         */
        "hideDetails"?: boolean;
        /**
          * Hide range indicator
         */
        "hideRange"?: boolean;
        /**
          * Items per page options
         */
        "itemsPerPageOptions"?: number[];
        /**
          * Triggered when values are changed
         */
        "onChangeValue"?: (event: CPaginationCustomEvent<CPaginationOptions>) => void;
        /**
          * Hide page number buttons
         */
        "simple"?: boolean;
        /**
          * Hide details (per page dropdown and the 'x - y of n pages' text)
         */
        "size"?: 'default' | 'small';
        /**
          * Object containing values that are needed for pagination.  Note! startFrom and endTo are assigned automatically to the object based on other values
         */
        "value"?: CPaginationOptions;
    }
    /**
     * @group Indicators
     */
    interface CProgressBar {
        /**
          * Color of the bar (valid css color)
          * @default var(--csc-primary)
         */
        "color"?: string;
        /**
          * Hide the percentage display
         */
        "hideDetails"?: boolean;
        /**
          * Indeterminate state of the progress bar
         */
        "indeterminate"?: boolean;
        /**
          * Optional details message next to percentage display
         */
        "label"?: string;
        /**
          * Place details next to progress bar
         */
        "singleLine"?: boolean;
        /**
          * Progress bar value in percentage (0 to 100)
         */
        "value"?: number;
    }
    /**
     * @group Form
     */
    interface CRadioGroup {
        /**
          * Color of the radio group
         */
        "color"?: string;
        /**
          * Disable the radio group
         */
        "disabled"?: boolean;
        /**
          * Hide the hint and error messages
         */
        "hideDetails"?: boolean;
        /**
          * Hint text for the input
         */
        "hint"?: string;
        /**
          * Display radio buttons inline
         */
        "inline"?: boolean;
        /**
          * Radio group items
         */
        "items"?: CRadioGroupItem[];
        /**
          * Label of the radio group
         */
        "label"?: string;
        /**
          * Emit value change to the parent
         */
        "onChangeValue"?: (event: CRadioGroupCustomEvent<any>) => void;
        /**
          * Set as required
         */
        "required"?: boolean;
        /**
          * Return only the item value rather than the whole item object
         */
        "returnValue"?: false;
        /**
          * Set the validity of the input
         */
        "valid"?: boolean;
        /**
          * Custom validation message
         */
        "validation"?: string;
        /**
          * Value of the radio group
         */
        "value"?: string | number | CRadioGroupItem;
    }
    /**
     * Generic flex row component
     * @group Layout
     */
    interface CRow {
        /**
          * Align items vertically
         */
        "align"?: 'start' | 'center' | 'end';
        /**
          * Gap between items in px
         */
        "gap"?: number;
        /**
          * Justify content horizontally
         */
        "justify"?: | 'start'
    | 'center'
    | 'end'
    | 'space-between'
    | 'space-around';
        /**
          * Disable flex wrap
         */
        "nowrap"?: boolean;
    }
    /**
     * @group Form
     */
    interface CSelect {
        /**
          * Auto focus the input
         */
        "autofocus"?: boolean;
        /**
          * Disable the input
         */
        "disabled"?: boolean;
        /**
          * Hide the hint and error messages
         */
        "hideDetails"?: boolean;
        /**
          * Hint text for the input
         */
        "hint"?: string;
        /**
          * Id of the element
         */
        "hostId"?: string;
        /**
          * selectable items
         */
        "items"?: CSelectItem[];
        /**
          * Items per page before adding scroll
         */
        "itemsPerPage"?: number;
        /**
          * Element label
         */
        "label"?: string;
        /**
          * Input field name
         */
        "name"?: string;
        /**
          * Triggered when an item is selected
         */
        "onChangeValue"?: (event: CSelectCustomEvent<any>) => void;
        /**
          * display the option as selection (works only when c-option elements are used)
         */
        "optionAsSelection"?: false;
        /**
          * Placeholder text
         */
        "placeholder"?: string;
        /**
          * Set as required
         */
        "required"?: boolean;
        /**
          * Return only the item value rather than the whole item object
         */
        "returnValue"?: false;
        /**
          * Shadow variant
         */
        "shadow"?: boolean;
        /**
          * Set the validity of the input
         */
        "valid"?: boolean;
        /**
          * Manual validation
         */
        "validate"?: boolean;
        /**
          * Validate the input on blur
         */
        "validateOnBlur"?: boolean;
        /**
          * Custom validation message
         */
        "validation"?: string;
        /**
          * Selected item
         */
        "value"?: string | number | boolean | CSelectItem;
    }
    /**
     * @group Navigation
     */
    interface CSidenavigation {
        /**
          * Mobile version menu visibility
         */
        "menuVisible"?: boolean;
        /**
          * Mobile version
         */
        "mobile"?: boolean;
    }
    /**
     * @parent c-sidenavigation
     */
    interface CSidenavigationitem {
        /**
          * Indicate active state
         */
        "active"?: boolean;
        /**
          * Hyperlink url
         */
        "href"?: string;
        /**
          * Loading state
         */
        "loading"?: boolean;
        /**
          * Emit changes to the c-accordion
          * @private
         */
        "onItemChange"?: (event: CSidenavigationitemCustomEvent<any>) => void;
        /**
          * Hyperlink target
         */
        "target"?: string;
    }
    /**
     * Spacer component for flex containers
     * @group Layout
     */
    interface CSpacer {
    }
    /**
     * @group Indicators
     */
    interface CStatus {
        /**
          * Status type
         */
        "type"?: 'info' | 'warning' | 'error' | 'success';
    }
    /**
     * @group Indicators
     * @parent c-steps
     */
    interface CStep {
        /**
          * Mark step as complete
          * @private
         */
        "complete"?: boolean;
        /**
          * Mark step as current
          * @private
         */
        "current"?: boolean;
    }
    /**
     * @group Indicators
     */
    interface CSteps {
        /**
          * Emit changes to the parent
         */
        "onChangeValue"?: (event: CStepsCustomEvent<number | string>) => void;
        /**
          * Value of the accordion (current step number)
         */
        "value": number | string;
    }
    /**
     * @parent c-sidenavigation
     */
    interface CSubnavigationitem {
        /**
          * Active state
         */
        "active"?: boolean;
        /**
          * Element is visible and focusable
         */
        "focusable"?: boolean;
        /**
          * Link url
         */
        "href"?: string;
        /**
          * Loading state
         */
        "loading"?: boolean;
        /**
          * Link target
         */
        "target"?: string;
    }
    /**
     * @group Content Selectors
     */
    interface CSwiper {
        /**
          * Emit value change to the parent
         */
        "onChangeValue"?: (event: CSwiperCustomEvent<number | string>) => void;
        /**
          * Value of the swiper
         */
        "value"?: number | string;
    }
    /**
     * @parent c-swiper
     */
    interface CSwiperTab {
        /**
          * Mark as active
         */
        "active"?: boolean;
        /**
          * Disable button
         */
        "disabled"?: boolean;
        /**
          * Id of the button
         */
        "hostId"?: string;
        /**
          * Label of the button
         */
        "label"?: string;
        /**
          * Emit value change to the parent
          * @private
         */
        "onChangeValue"?: (event: CSwiperTabCustomEvent<number | string>) => void;
        /**
          * Position in the set
          * @private
         */
        "position"?: number;
        /**
          * Size of the set
          * @private
         */
        "setsize"?: number;
        /**
          * Value of the button
         */
        "value"?: number | string;
    }
    /**
     * @group Form
     */
    interface CSwitch {
        /**
          * Disable the switch
         */
        "hostDisabled"?: boolean;
        /**
          * Id for the element
         */
        "hostId"?: string;
        /**
          * Emit inner value change to parent
         */
        "onChangeValue"?: (event: CSwitchCustomEvent<boolean>) => void;
        /**
          * Set as required
         */
        "required"?: boolean;
        /**
          * Value of the element
         */
        "value"?: boolean;
    }
    /**
     * @group Tabs
     * @parent c-tabs
     */
    interface CTab {
        /**
          * Mark tab as active
         */
        "active"?: boolean;
        /**
          * Mark tab as disabled
         */
        "disabled"?: boolean;
        /**
          * Id of the tab
         */
        "hostId"?: string;
        /**
          * Emit changes to the parent
          * @private
         */
        "onTabChange"?: (event: CTabCustomEvent<any>) => void;
        /**
          * Position in the set
          * @private
         */
        "position"?: number;
        /**
          * Size of the set
          * @private
         */
        "setsize"?: number;
        /**
          * Value for the tab - for use in c-tabs
         */
        "value"?: number | string;
    }
    /**
     * @group Content Selectors
     */
    interface CTabButtons {
        /**
          * Disable tab buttons
         */
        "hostDisabled"?: boolean;
        /**
          * Always require a selection
         */
        "mandatory"?: boolean;
        /**
          * Emit changes to the parent
         */
        "onChangeValue"?: (event: CTabButtonsCustomEvent<number | string>) => void;
        /**
          * Size of the buttons
         */
        "size"?: 'default' | 'small';
        /**
          * Value of tab buttons
         */
        "value"?: number | string;
    }
    /**
     * @group Content Selectors
     */
    interface CTabs {
        /**
          * Disable the bottom border
         */
        "borderless"?: boolean;
        /**
          * Emit changes to the parent
         */
        "onChangeValue"?: (event: CTabsCustomEvent<any>) => void;
        /**
          * Currently active tab
         */
        "value": number | string;
    }
    /**
     * @group Buttons
     */
    interface CTag {
        /**
          * Mark tag as active
         */
        "active"?: boolean;
        /**
          * Display an optional badge at the start of the tag
         */
        "badge"?: string | number;
        /**
          * Mark tag as closeable
         */
        "closeable"?: boolean;
        /**
          * Stretch to fill the container
         */
        "fit"?: boolean;
        /**
          * Remove the hover effect
         */
        "flat"?: boolean;
    }
    /**
     * @group Form
     */
    interface CTextField {
        /**
          * HTML input autocapitalize
         */
        "autocapitalize"?: string;
        /**
          * HTML input autocomplete
         */
        "autocomplete"?: string;
        /**
          * HTML input autocorrect
         */
        "autocorrect"?: string;
        /**
          * Auto focus the input
         */
        "autofocus"?: boolean;
        /**
          * Disable the input
         */
        "disabled"?: boolean;
        /**
          * Hide the hint and error messages
         */
        "hideDetails"?: boolean;
        /**
          * Hint text for the input
         */
        "hint"?: string;
        /**
          * Id of the input
         */
        "hostId"?: string;
        /**
          * Label of the input
         */
        "label"?: string;
        /**
          * Maximum value on a numeric input
         */
        "max"?: number;
        /**
          * Minimum value on a numeric input
         */
        "min"?: number;
        /**
          * Name of the input
         */
        "name"?: string;
        /**
          * Numeric input
          * @deprecated Use type="number" instead
         */
        "number"?: boolean;
        /**
          * Emit changes to the parent
         */
        "onChangeValue"?: (event: CTextFieldCustomEvent<any>) => void;
        /**
          * Placeholder of the input
         */
        "placeholder"?: string;
        /**
          * Mark as readonly
         */
        "readonly"?: boolean;
        /**
          * Set the input as required
         */
        "required"?: boolean;
        /**
          * Rows on the input
         */
        "rows"?: number;
        /**
          * Shadow variant of the input
         */
        "shadow"?: boolean;
        /**
          * Step size on a numeric input
         */
        "step"?: number;
        /**
          * Trim whitespace from the return value
         */
        "trimWhitespace"?: boolean;
        /**
          * Type of the input
         */
        "type"?: string;
        /**
          * Set the validity of the input
         */
        "valid"?: boolean;
        /**
          * Manual validation
         */
        "validate"?: boolean;
        /**
          * Validate the input on blur
         */
        "validateOnBlur"?: boolean;
        /**
          * Custom validation message
         */
        "validation"?: string;
        /**
          * Value of the input
         */
        "value"?: string;
    }
    /**
     * @parent None
     */
    interface CTitle {
    }
    /**
     * @parent none
     */
    interface CToast {
        /**
          * Messages
         */
        "message"?: CToastMessage;
        /**
          * Emit inner value change to parent
         */
        "onClose"?: (event: CToastCustomEvent<CToastMessage>) => void;
    }
    /**
     * @group Popups
     */
    interface CToasts {
        /**
          * Use absolute positioning
         */
        "absolute"?: boolean;
        /**
          * Horizontal position
         */
        "horizontal"?: 'left' | 'center' | 'right';
        /**
          * Vertical position
         */
        "vertical"?: 'top' | 'bottom';
    }
    /**
     * @group Navigation
     */
    interface CToolbar {
    }
    interface IntrinsicElements {
        "c-accordion": CAccordion;
        "c-accordion-item": CAccordionItem;
        "c-alert": CAlert;
        "c-autocomplete": CAutocomplete;
        "c-button": CButton;
        "c-card": CCard;
        "c-card-actions": CCardActions;
        "c-card-content": CCardContent;
        "c-card-title": CCardTitle;
        "c-checkbox": CCheckbox;
        "c-consent": CConsent;
        "c-container": CContainer;
        "c-csc-logo": CCscLogo;
        "c-data-table": CDataTable;
        "c-flex": CFlex;
        "c-icon": CIcon;
        "c-icon-button": CIconButton;
        "c-input": CInput;
        "c-link": CLink;
        "c-loader": CLoader;
        "c-login-button": CLoginButton;
        "c-login-buttons": CLoginButtons;
        "c-login-card": CLoginCard;
        "c-login-card-actions": CLoginCardActions;
        "c-login-card-content": CLoginCardContent;
        "c-login-card-title": CLoginCardTitle;
        "c-main": CMain;
        "c-menu": CMenu;
        "c-menu-items": CMenuItems;
        "c-message": CMessage;
        "c-modal": CModal;
        "c-navigationbutton": CNavigationbutton;
        "c-notification": CNotification;
        "c-option": COption;
        "c-otp-input": COtpInput;
        "c-pagination": CPagination;
        "c-progress-bar": CProgressBar;
        "c-radio-group": CRadioGroup;
        "c-row": CRow;
        "c-select": CSelect;
        "c-sidenavigation": CSidenavigation;
        "c-sidenavigationitem": CSidenavigationitem;
        "c-spacer": CSpacer;
        "c-status": CStatus;
        "c-step": CStep;
        "c-steps": CSteps;
        "c-subnavigationitem": CSubnavigationitem;
        "c-swiper": CSwiper;
        "c-swiper-tab": CSwiperTab;
        "c-switch": CSwitch;
        "c-tab": CTab;
        "c-tab-buttons": CTabButtons;
        "c-tabs": CTabs;
        "c-tag": CTag;
        "c-text-field": CTextField;
        "c-title": CTitle;
        "c-toast": CToast;
        "c-toasts": CToasts;
        "c-toolbar": CToolbar;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            /**
             * @group Content Selectors
             */
            "c-accordion": LocalJSX.CAccordion & JSXBase.HTMLAttributes<HTMLCAccordionElement>;
            /**
             * @parent c-accordion
             */
            "c-accordion-item": LocalJSX.CAccordionItem & JSXBase.HTMLAttributes<HTMLCAccordionItemElement>;
            /**
             * @group Indicators
             */
            "c-alert": LocalJSX.CAlert & JSXBase.HTMLAttributes<HTMLCAlertElement>;
            /**
             * @group Form
             */
            "c-autocomplete": LocalJSX.CAutocomplete & JSXBase.HTMLAttributes<HTMLCAutocompleteElement>;
            /**
             * @group Buttons
             */
            "c-button": LocalJSX.CButton & JSXBase.HTMLAttributes<HTMLCButtonElement>;
            /**
             * @group Cards
             */
            "c-card": LocalJSX.CCard & JSXBase.HTMLAttributes<HTMLCCardElement>;
            /**
             * @parent c-card
             */
            "c-card-actions": LocalJSX.CCardActions & JSXBase.HTMLAttributes<HTMLCCardActionsElement>;
            /**
             * @parent c-card
             */
            "c-card-content": LocalJSX.CCardContent & JSXBase.HTMLAttributes<HTMLCCardContentElement>;
            /**
             * @parent c-card
             */
            "c-card-title": LocalJSX.CCardTitle & JSXBase.HTMLAttributes<HTMLCCardTitleElement>;
            /**
             * @group Form
             */
            "c-checkbox": LocalJSX.CCheckbox & JSXBase.HTMLAttributes<HTMLCCheckboxElement>;
            /**
             * A container component for cookie consent
             * @group Popups
             */
            "c-consent": LocalJSX.CConsent & JSXBase.HTMLAttributes<HTMLCConsentElement>;
            /**
             * Container component for holding current page content
             * @group Layout
             */
            "c-container": LocalJSX.CContainer & JSXBase.HTMLAttributes<HTMLCContainerElement>;
            /**
             * @parent c-toolbar
             */
            "c-csc-logo": LocalJSX.CCscLogo & JSXBase.HTMLAttributes<HTMLCCscLogoElement>;
            /**
             * @group Tables
             */
            "c-data-table": LocalJSX.CDataTable & JSXBase.HTMLAttributes<HTMLCDataTableElement>;
            /**
             * Component which fills the remaining space within a flex container
             * @group Layout
             */
            "c-flex": LocalJSX.CFlex & JSXBase.HTMLAttributes<HTMLCFlexElement>;
            /**
             * @group Other
             */
            "c-icon": LocalJSX.CIcon & JSXBase.HTMLAttributes<HTMLCIconElement>;
            /**
             * @group Buttons
             */
            "c-icon-button": LocalJSX.CIconButton & JSXBase.HTMLAttributes<HTMLCIconButtonElement>;
            /**
             * @parent None
             */
            "c-input": LocalJSX.CInput & JSXBase.HTMLAttributes<HTMLCInputElement>;
            /**
             * Basic hyperlink component
             * @group Buttons
             */
            "c-link": LocalJSX.CLink & JSXBase.HTMLAttributes<HTMLCLinkElement>;
            /**
             * A loader component that fills the nearest containing element that has css-property position set to 'relative'
             * @group Indicators
             */
            "c-loader": LocalJSX.CLoader & JSXBase.HTMLAttributes<HTMLCLoaderElement>;
            /**
             * @parent c-login-buttons
             */
            "c-login-button": LocalJSX.CLoginButton & JSXBase.HTMLAttributes<HTMLCLoginButtonElement>;
            /**
             * @parent none
             */
            "c-login-buttons": LocalJSX.CLoginButtons & JSXBase.HTMLAttributes<HTMLCLoginButtonsElement>;
            /**
             * @group Cards
             */
            "c-login-card": LocalJSX.CLoginCard & JSXBase.HTMLAttributes<HTMLCLoginCardElement>;
            /**
             * @parent c-login-card
             */
            "c-login-card-actions": LocalJSX.CLoginCardActions & JSXBase.HTMLAttributes<HTMLCLoginCardActionsElement>;
            /**
             * @parent c-login-card
             */
            "c-login-card-content": LocalJSX.CLoginCardContent & JSXBase.HTMLAttributes<HTMLCLoginCardContentElement>;
            /**
             * @parent c-login-card
             */
            "c-login-card-title": LocalJSX.CLoginCardTitle & JSXBase.HTMLAttributes<HTMLCLoginCardTitleElement>;
            /**
             * Wrapper component for the whole page
             * @group Layout
             */
            "c-main": LocalJSX.CMain & JSXBase.HTMLAttributes<HTMLCMainElement>;
            /**
             * @group Navigation
             */
            "c-menu": LocalJSX.CMenu & JSXBase.HTMLAttributes<HTMLCMenuElement>;
            /**
             * @parent none
             */
            "c-menu-items": LocalJSX.CMenuItems & JSXBase.HTMLAttributes<HTMLCMenuItemsElement>;
            /**
             * @parent None
             */
            "c-message": LocalJSX.CMessage & JSXBase.HTMLAttributes<HTMLCMessageElement>;
            /**
             * @group Popups
             */
            "c-modal": LocalJSX.CModal & JSXBase.HTMLAttributes<HTMLCModalElement>;
            /**
             * @parent c-toolbar
             */
            "c-navigationbutton": LocalJSX.CNavigationbutton & JSXBase.HTMLAttributes<HTMLCNavigationbuttonElement>;
            /**
             * @parent None
             */
            "c-notification": LocalJSX.CNotification & JSXBase.HTMLAttributes<HTMLCNotificationElement>;
            /**
             * @parent c-select
             */
            "c-option": LocalJSX.COption & JSXBase.HTMLAttributes<HTMLCOptionElement>;
            /**
             * @group Form
             */
            "c-otp-input": LocalJSX.COtpInput & JSXBase.HTMLAttributes<HTMLCOtpInputElement>;
            /**
             * @group Navigation
             */
            "c-pagination": LocalJSX.CPagination & JSXBase.HTMLAttributes<HTMLCPaginationElement>;
            /**
             * @group Indicators
             */
            "c-progress-bar": LocalJSX.CProgressBar & JSXBase.HTMLAttributes<HTMLCProgressBarElement>;
            /**
             * @group Form
             */
            "c-radio-group": LocalJSX.CRadioGroup & JSXBase.HTMLAttributes<HTMLCRadioGroupElement>;
            /**
             * Generic flex row component
             * @group Layout
             */
            "c-row": LocalJSX.CRow & JSXBase.HTMLAttributes<HTMLCRowElement>;
            /**
             * @group Form
             */
            "c-select": LocalJSX.CSelect & JSXBase.HTMLAttributes<HTMLCSelectElement>;
            /**
             * @group Navigation
             */
            "c-sidenavigation": LocalJSX.CSidenavigation & JSXBase.HTMLAttributes<HTMLCSidenavigationElement>;
            /**
             * @parent c-sidenavigation
             */
            "c-sidenavigationitem": LocalJSX.CSidenavigationitem & JSXBase.HTMLAttributes<HTMLCSidenavigationitemElement>;
            /**
             * Spacer component for flex containers
             * @group Layout
             */
            "c-spacer": LocalJSX.CSpacer & JSXBase.HTMLAttributes<HTMLCSpacerElement>;
            /**
             * @group Indicators
             */
            "c-status": LocalJSX.CStatus & JSXBase.HTMLAttributes<HTMLCStatusElement>;
            /**
             * @group Indicators
             * @parent c-steps
             */
            "c-step": LocalJSX.CStep & JSXBase.HTMLAttributes<HTMLCStepElement>;
            /**
             * @group Indicators
             */
            "c-steps": LocalJSX.CSteps & JSXBase.HTMLAttributes<HTMLCStepsElement>;
            /**
             * @parent c-sidenavigation
             */
            "c-subnavigationitem": LocalJSX.CSubnavigationitem & JSXBase.HTMLAttributes<HTMLCSubnavigationitemElement>;
            /**
             * @group Content Selectors
             */
            "c-swiper": LocalJSX.CSwiper & JSXBase.HTMLAttributes<HTMLCSwiperElement>;
            /**
             * @parent c-swiper
             */
            "c-swiper-tab": LocalJSX.CSwiperTab & JSXBase.HTMLAttributes<HTMLCSwiperTabElement>;
            /**
             * @group Form
             */
            "c-switch": LocalJSX.CSwitch & JSXBase.HTMLAttributes<HTMLCSwitchElement>;
            /**
             * @group Tabs
             * @parent c-tabs
             */
            "c-tab": LocalJSX.CTab & JSXBase.HTMLAttributes<HTMLCTabElement>;
            /**
             * @group Content Selectors
             */
            "c-tab-buttons": LocalJSX.CTabButtons & JSXBase.HTMLAttributes<HTMLCTabButtonsElement>;
            /**
             * @group Content Selectors
             */
            "c-tabs": LocalJSX.CTabs & JSXBase.HTMLAttributes<HTMLCTabsElement>;
            /**
             * @group Buttons
             */
            "c-tag": LocalJSX.CTag & JSXBase.HTMLAttributes<HTMLCTagElement>;
            /**
             * @group Form
             */
            "c-text-field": LocalJSX.CTextField & JSXBase.HTMLAttributes<HTMLCTextFieldElement>;
            /**
             * @parent None
             */
            "c-title": LocalJSX.CTitle & JSXBase.HTMLAttributes<HTMLCTitleElement>;
            /**
             * @parent none
             */
            "c-toast": LocalJSX.CToast & JSXBase.HTMLAttributes<HTMLCToastElement>;
            /**
             * @group Popups
             */
            "c-toasts": LocalJSX.CToasts & JSXBase.HTMLAttributes<HTMLCToastsElement>;
            /**
             * @group Navigation
             */
            "c-toolbar": LocalJSX.CToolbar & JSXBase.HTMLAttributes<HTMLCToolbarElement>;
        }
    }
}
